GNU bug report logs - #29774
Compilation error on git master: `gzip: unbound variable`

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: <pkill9@HIDDEN>; dated Tue, 19 Dec 2017 20:40:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 29774 <at> debbugs.gnu.org:


Received: (at 29774) by debbugs.gnu.org; 23 Apr 2018 07:26:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 23 03:26:00 2018
Received: from localhost ([127.0.0.1]:36425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fAVrM-0005NP-EV
	for submit <at> debbugs.gnu.org; Mon, 23 Apr 2018 03:26:00 -0400
Received: from world.peace.net ([64.112.178.59]:47672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fAVrJ-0005N9-Ia
 for 29774 <at> debbugs.gnu.org; Mon, 23 Apr 2018 03:25:58 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fAVrD-000701-HD; Mon, 23 Apr 2018 03:25:51 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: bug#29774: Compilation error on git master: `gzip: unbound variable`
Date: Mon, 23 Apr 2018 03:25:01 -0400
Message-ID: <87efj65qr6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 29774
Cc: 29774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I've run into this same problem, on my x86_64 GuixSD system.  To help
others reproduce it, I've pushed a branch to Savannah, based on recent
core-updates.  The branch is named 'reproduce-bug-29774'.

When I attempt to build this branch from a clean git checkout, within an
environment produced by "guix environment guix" from recent
core-updates, it consistently fails with this error.  If I simply revert
the commit at the tip of that branch (an early draft of my "Detecting
duplicate field initializers" patch), then the problem does not occur.

I find it quite surprising that this apparently unrelated patch makes
any difference to this bug, but that seems to be the case.

Ludovic, are you able to reproduce this problem on your system?  If
needed, I could also provide the precise derivation of the build
environment profile, but I suspect that "guix environment guix" produced
by any commit close to recent core-updates would work.

See below for the tail of my failed build log.

      Mark


--8<---------------cut here---------------start------------->8---
  LOAD     guix/scripts/archive.scm
  LOAD     guix/scripts/import.scm
  LOAD     guix/scripts/package.scm
  LOAD     guix/scripts/gc.scm
  LOAD     guix/scripts/hash.scm
  LOAD     guix/scripts/pack.scm
Backtrace:
In ice-9/boot-9.scm:
    142:2 19 (dynamic-wind _ _ #<procedure 2701760 at ice-9/eval.scm:330:13=
 ()>)
    142:2 18 (dynamic-wind _ _ #<procedure 27013e0 at ice-9/eval.scm:330:13=
 ()>)
In ice-9/eval.scm:
    619:8 17 (_ #(#(#<directory (guix build compile) 21988c0> #<variable 25=
2b550 value: 674> #<procedure 26fe3c0 at ice-9/eval.scm:339:13 (a b c)> 1 #=
 =E2=80=A6)))
    619:8 16 (_ #(#(#(#(#(#(#(#<directory (guix build compile) 21988c0> ("g=
uix/scripts/pack.scm" "guix/scripts/pull.scm" "guix/scri=E2=80=A6" =E2=80=
=A6) =E2=80=A6)) =E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
In ice-9/boot-9.scm:
    152:2 15 (with-fluid* _ _ _)
  2788:17 14 (resolve-interface (guix scripts pack) #:select _ #:hide _ #:p=
refix _ #:renamer _ #:version _)
  2714:10 13 (_ (guix scripts pack) _ _ #:ensure _)
  2982:16 12 (try-module-autoload _ _)
   2312:4 11 (save-module-excursion #<procedure 60f7000 at ice-9/boot-9.scm=
:2983:17 ()>)
  3002:22 10 (_)
In unknown file:
           9 (primitive-load-path "guix/scripts/pack" #<procedure 69e5f60 a=
t ice-9/boot-9.scm:2989:32 ()>)
In ice-9/eval.scm:
   626:19  8 (_ #<directory (guix scripts pack) 7891960>)
   173:39  7 (_ #<directory (guix scripts pack) 7891960>)
   202:51  6 (_ #<directory (guix scripts pack) 7891960>)
   202:35  5 (_ #<directory (guix scripts pack) 7891960>)
    155:9  4 (_ #<directory (guix scripts pack) 7891960>)
   202:35  3 (_ #<directory (guix scripts pack) 7891960>)
    159:9  2 (_ #<directory (guix scripts pack) 7891960>)
   223:20  1 (proc #<directory (guix scripts pack) 7891960>)
In unknown file:
           0 (%resolve-variable (7 . gzip) #<directory (guix scripts pack) =
7891960>)

ERROR: In procedure %resolve-variable:
gzip: unbound variable

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
make[2]: *** [Makefile:5344: make-go] Error 1
make[2]: Leaving directory '/home/mhw/guix'
make[1]: *** [Makefile:4456: all-recursive] Error 1
make[1]: Leaving directory '/home/mhw/guix'
make: *** [Makefile:3103: all] Error 2
--8<---------------cut here---------------end--------------->8---




Information forwarded to bug-guix@HIDDEN:
bug#29774; Package guix. Full text available.

Message received at 29774 <at> debbugs.gnu.org:


Received: (at 29774) by debbugs.gnu.org; 28 Jan 2018 10:13:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 28 05:13:09 2018
Received: from localhost ([127.0.0.1]:45710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1efjxV-0007su-5K
	for submit <at> debbugs.gnu.org; Sun, 28 Jan 2018 05:13:09 -0500
Received: from mail-it0-f50.google.com ([209.85.214.50]:55622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1efjxS-0007sP-IR
 for 29774 <at> debbugs.gnu.org; Sun, 28 Jan 2018 05:13:07 -0500
Received: by mail-it0-f50.google.com with SMTP id c16so5055484itc.5
 for <29774 <at> debbugs.gnu.org>; Sun, 28 Jan 2018 02:13:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=z4mNWpbOTTRoGnLVrgZsKPqaNQ/0omXYTZ6PpfZOTek=;
 b=U3vePKJ7SGvscG6maRoTq9oaYU3+v3sA8Xq9cdUtDFBGOZ8w8uQkr30tAT2c6YzUTj
 MZncT33kItk9txTqLHhG1w7s0szM9wIbZnULoqN1uamlG9mxszRumAeu1zdtHUNPu8p4
 PnyeZoHv1MkKZRzBEBTLiNn+3AYclKB6ik1CnT6yRDFeIopRlbe7N5niMGgkHzIrgrbn
 vaJFgQZi3aOKvNztjiJhsPdc3Yg8flWRVkGND5Ltv4SvgleXuoAjncNAaEylcmcrVVgG
 IYxCaljUKSFHrTsmQ5bZIskFGH42f43mREmc2fv5SAFzGASUNkpW3htxZEbfCxGpQNo/
 Z/aA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=z4mNWpbOTTRoGnLVrgZsKPqaNQ/0omXYTZ6PpfZOTek=;
 b=Hf9NLYqmR2Hk7nDDgUAyjBVdyQkFIWCQtjo/cekHaw9HO2/w2hDRFOSEDT929rUcck
 4UITNiF2t+e1oaK18je57Ck0YFGBZE5HcguSm7SUTqJMepx0CBS+16J07WPqhFQCU7ad
 1gwaP+k/Q/pfVBUzLynSSkDQT7cNa//ctrmvDYovZMJ855Vdl1s5vaG0h3PZeMTL0Tn5
 4y5Hj1T1za9sQ0woUVSB31ASiF7+OJcMij/mz9LfY4u/qY3ntRxbY+PJqipAm+onmOmE
 24J+S2PecPAPTInWjaBcF3Nb4z5ne+2lwiwCCj+tcK1S9IioMqFEoElYD7ckv09jUyhJ
 rqZw==
X-Gm-Message-State: AKwxytd59XO6WsO2mposqO7nqLbzHlfYvtvIzUknfy5MwkG9+wOvdARi
 0JvH7H41Dbi+eBLvrJnELxiOJg==
X-Google-Smtp-Source: AH8x226PhkFK5z1gMM0Am4UZT1RaNSj9GYz6xsn2vQNG3FE4uT0nR8hcN0z/pz/xK8pAicsAsipiSA==
X-Received: by 10.36.118.21 with SMTP id z21mr22569988itb.116.1517134380470;
 Sun, 28 Jan 2018 02:13:00 -0800 (PST)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id q82sm4444877itb.7.2018.01.28.02.12.58
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 28 Jan 2018 02:12:58 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
X-Google-Original-From: Chris Marusich <marusich@HIDDEN>
To: <pkill9@HIDDEN>
Subject: Re: bug#29774: Compilation error on git master: `gzip: unbound
 variable`
References: <E1eRODH-0006TY-Pl@HIDDEN>
 <E1eUhOh-0001lp-1S@HIDDEN>
Date: Sun, 28 Jan 2018 02:12:50 -0800
In-Reply-To: <E1eUhOh-0001lp-1S@HIDDEN> (pkill9@HIDDEN's message
 of "Thu, 28 Dec 2017 23:15:34 +0000 (GMT)")
Message-ID: <874ln6s34t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29774
Cc: 29774 <at> debbugs.gnu.org, Marius Bakke <mbakke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

<pkill9@HIDDEN> writes:

>> Compiling Scheme modules...
>>
>> ...
>>
>>   LOAD     guix/scripts/pack.scm
>> Backtrace:
>> In ice-9/r4rs.scm:
>>   90: 19 [dynamic-wind #<procedure 1744360 at ice-9/eval.scm:416:20 ()> =
...]
>>   90: 18 [dynamic-wind #<procedure 17442d0 at ice-9/eval.scm:416:20 ()> =
...]
>> In ice-9/eval.scm:
>>  432: 17 [eval # #]
>>  432: 16 [eval # #]
>>  481: 15 [lp (#<fluid 16>) (#<output: void 11b7a90>)]
>> In ice-9/boot-9.scm:
>> 2864: 14 [resolve-interface (guix scripts pack) #:select ...]
>> 2789: 13 [#<procedure 1381ae0 at ice-9/boot-9.scm:2777:4 (name #:optiona=
l autoload version #:key ensure)> # ...]
>> 3065: 12 [try-module-autoload (guix scripts pack) #f]
>> 2401: 11 [save-module-excursion #<procedure 69daed0 at ice-9/boot-9.scm:=
3066:17 ()>]
>> 3085: 10 [#<procedure 69daed0 at ice-9/boot-9.scm:3066:17 ()>]
>> In unknown file:
>>    ?: 9 [primitive-load-path "guix/scripts/pack" ...]
>> In ice-9/eval.scm:
>>  453: 8 [eval # ()]
>>  387: 7 [eval # ()]
>>  387: 6 [eval # ()]
>>  387: 5 [eval # ()]
>>  387: 4 [eval # ()]
>>  387: 3 [eval # ()]
>>  387: 2 [eval # ()]
>>  393: 1 [eval #<memoized gzip> ()]
>> In unknown file:
>>    ?: 0 [memoize-variable-access! #<memoized gzip> #<directory # 6d10bd0=
>]
>>=20=20
>> ERROR: In procedure memoize-variable-access!:
>> ERROR: gzip: unbound variable

I can reproduce this error when attempting to build Guix 0.14.0 from
source, using system-provided and custom built dependencies.  I cannot
reproduce it when using Guix-provided dependencies (e.g., by running
'guix environment guix' and then manually building it).

I may have a work-around for you.  Let me know if it works.  Please try
the following:

1) Run a command like "make V=3D1".  Because Guix uses GNU Automake, you
can get verbose output by adding "V=3D1" to the command ((automake)
Automake Silent Rules).  This will cause make to print the commands that
are being run.

2) Find the exact "compile-all.scm" invocation being used (it should
appear right after the string "Compiling Scheme modules..." in the build
output).  Copy it and run it manually from the root of the build
directory (i.e., the directory containing the "configure" script), but
instead of passing it all the .scm files, only pass it the single file
guix/scripts/pack.scm.

3) If (2) succeeds in building the pack.go file, try running "make"
again.  Because the pack.go file is newer than the pack.scm file, it
won't need to be built again, which should allow you to bypass this
specific problem.  This worked for me, so I hope it works for you.

Why does it work?  Well, the problem you observed occurs when running
the make-go target of the Makefile, which does the following (this is
from the Makefile.am file, which is used to produce the Makefile):

=2D-8<---------------cut here---------------start------------->8---
make-go: $(MODULES) guix/config.scm $(dist_noinst_DATA)
        $(AM_V_at)echo "Compiling Scheme modules..." ;                  \
        unset GUILE_LOAD_COMPILED_PATH ;                                \
        XDG_CACHE_HOME=3D/nowhere                                         \
        host=3D$(host) srcdir=3D"$(top_srcdir)"                            =
 \
        $(top_builddir)/pre-inst-env                                    \
        $(GUILE) -L "$(top_builddir)" -L "$(top_srcdir)"                \
          --no-auto-compile                                             \
          -s "$(top_srcdir)"/build-aux/compile-all.scm $^
=2D-8<---------------cut here---------------end--------------->8---

Here, we are running build-aux/compile-all.scm on all the modules in a
single invocation.  The script compile-all.scm compiles all the .scm
files it receives as arguments into .go files.  When it runs, it only
compiles a .go file if the .go file doesn't exist or the corresponding
.scm file is newer.  It seems this problem has something to do with
memoizing the gzip variable while compiling many different modules in
one run.  By only running compile-all.scm on the single module pack.scm,
it seems that we can avoid whatever condition is causing the problem to
occur.

As for what the actual issue is...  I don't know.  If somebody could
create a minimal reproduction of the issue, it would help.  The
information above gives us an idea of where the issue is probably
occurring, but it will require more work to narrow it down further.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlptoiIACgkQ3UCaFdgi
Rp1CExAAyY41xYeb8RrcDbzuAyvuJhXjZzsZJrnBqQDNkzh3gRwJqW0gSCnk7+d+
htBb9hgcQKznvg+f6oMJxMjSqv0KI5impVzkpErRwtQMKn5P3nuKx6gf9vmHasBJ
QkhruoIqfN8BnTUYLxliG4Cdnh1i4ewkJA4iEfb/0/ng24YzbTcTBCaPec/PRgk6
jLeKed4EePyzVStJhRjPJgC2fIBN/sCLoGu84kd8fm5FcG8s/odJ+smWTs+hCpfd
jYjELL4vHD3kE8GFW6dhyy+JXTb+uTEZZmhK4r9QzYSxYYl+YS76WMHDWXHY8pwM
LzYQMxEjzvAo2xR/M5jNoEycm2QKzOlS0spqtyLDrQF4gDOUf1yD4HoMBZZKSDYS
mWgoIXVD/LP+ELwPn8JmxCTnss8SQbgGptMQuGPbfnB7g/Kvlf7DM+hT/vSsZdgz
mW7BOJyfVUzAfQxoW/Yzz0JJPv6ouoRIeegrCJHj5n4BoEkmipD2lFDH/pqa4H1u
1fEdBIcsNoUYWSjlTnlsS2HeHnScqKAJgDWtF7UWYi39PbctVsb9vhKrsbeMP4H4
LueSbwp0vWq1Zm76b0BafC7fExNMovDNdQYX1eJTyyAb7dcl2Ij0O5cBOA/4d67p
SG4dDoogeD5NgfzKgFIDj7tGL2LWsCBkaS1gYPuDgtZ7GxwrMNs=
=pP5W
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#29774; Package guix. Full text available.

Message received at 29774 <at> debbugs.gnu.org:


Received: (at 29774) by debbugs.gnu.org; 29 Dec 2017 00:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 19:03:17 2017
Received: from localhost ([127.0.0.1]:55599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUi8r-0004jx-1t
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 19:03:17 -0500
Received: from aibo.runbox.com ([91.220.196.211]:34594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1eUhOi-0003db-DZ
 for 29774 <at> debbugs.gnu.org; Thu, 28 Dec 2017 18:15:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:In-Reply-To:Date:Subject:CC:To:From:MIME-Version
 :Content-Transfer-Encoding:Content-Type;
 bh=4efV4rC5veGAkiV3odWKJedzhGIqYe++3NXvewNcbf8=; b=MozqP6PBG55tEtj85k+N7gLk7S
 +KOLuTJpKws5vE56CdcYGjpMVJESOLjA9JFRJah9nyZM7hannyfpEn6fLCkq5gsJghO6YFo/M2hCX
 grpj2iSxRxag3iXid60iYUoKbIEtgfQUu0EhAzs7ery+y5qdzO7+x6l7GRyHtJqoAviTagvu+CfTv
 u0IcBi0eO7MgMeP7cuzuyWkmxo6hUfkjPz4FNk3aXVGzOvuDHeGILhMErVO3cCnMtBg2SLzgz1WQb
 BDD78gRZPXD4Ez8cFoyKx9tz3vHF+trec6L6BpfbwyAUsxluDNZjkhbnzByQTlCYrg/2+J9LK5YsY
 gj3QAzHw==;
Received: from [10.9.9.128] (helo=rmmprod06.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1eUhOh-0003cQ-3X; Fri, 29 Dec 2017 00:15:35 +0100
Received: from mail by rmmprod06.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1eUhOh-0001lp-1S; Fri, 29 Dec 2017 00:15:35 +0100
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); Thu, 28 Dec 2017 23:15:34 GMT
From: <pkill9@HIDDEN>
To: "Marius Bakke" <mbakke@HIDDEN>
Subject: Re: bug#29774: Compilation error on git master: `gzip: unbound
 variable`
Date: Thu, 28 Dec 2017 23:15:34 +0000 (GMT)
X-Mailer: RMM6
In-Reply-To: <878tdmd9rf.fsf@HIDDEN>
Message-Id: <E1eUhOh-0001lp-1S@HIDDEN>
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 29774
X-Mailman-Approved-At: Thu, 28 Dec 2017 19:03:13 -0500
Cc: 29774 <29774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)



On Thu, 28 Dec 2017 18:48:04 +0100, Marius Bakke <mbakke@HIDDEN> wrot=
e:

> pkill9@HIDDEN writes:
>=20
> > Architecture: x86_64
> >
> > RAM: 4GB
> >
> > Filesystem: EXT4
> >
> > Guile version: 2.0.11
> >
> > Guile-Git (Guile module) was manually compiled and installed by me from
> > https://gitlab.com/guile-git/guile-git
> >
> > Operating system: Slackware 14.2
> >
> > `uname -a` output: Linux slack 4.4.88 #2 SMP Thu Sep 14 14:21:06 CDT 20=
17
> > x86_64 Intel(R) Core(TM) i3 CPU M 330 @ 2.13GHz GenuineIntel GNU/Linux
> >
> >
> > Compilation failure when running `make` (after running `./bootstrap` and
> > `./configure`) in latest git master and in latest source release tarbal=
l:
> > 'In procedure memoize-variable-access!: gzip: unbound variable'
> >
> > Full output (error is at line 172): http://paste.debian.net/1001510
>=20
> This paste has expired.  Can you attach the log here instead?

Here is the log:

> itsme@slack:~/guix-0.14.0$ make && make installmake  all-recursive
> make[1]: Entering directory '/home/itsme/guix-0.14.0'
> Making all in po/guix
> make[2]: Entering directory '/home/itsme/guix-0.14.0/po/guix'
> make[2]: Leaving directory '/home/itsme/guix-0.14.0/po/guix'
> Making all in po/packages
> make[2]: Entering directory '/home/itsme/guix-0.14.0/po/packages'
> make[2]: Leaving directory '/home/itsme/guix-0.14.0/po/packages'
> make[2]: Entering directory '/home/itsme/guix-0.14.0'
> Compiling Scheme modules...
>   LOAD     guix/base16.scm
>   LOAD     guix/base32.scm
>   LOAD     guix/base64.scm
>   LOAD     guix/cpio.scm
>   LOAD     guix/records.scm
>   LOAD     guix/gcrypt.scm
>   LOAD     guix/hash.scm
>   LOAD     guix/pk-crypto.scm
>   LOAD     guix/pki.scm
>   LOAD     guix/progress.scm
>   LOAD     guix/combinators.scm
>   LOAD     guix/memoization.scm
>   LOAD     guix/utils.scm
>   LOAD     guix/sets.scm
>   LOAD     guix/modules.scm
>   LOAD     guix/download.scm
>   LOAD     guix/discovery.scm
>   LOAD     guix/git-download.scm
>   LOAD     guix/hg-download.scm
>   LOAD     guix/monads.scm
>   LOAD     guix/monad-repl.scm
>   LOAD     guix/gexp.scm
>   LOAD     guix/profiles.scm
>   LOAD     guix/serialization.scm
>   LOAD     guix/nar.scm
>   LOAD     guix/derivations.scm
>   LOAD     guix/grafts.scm
>   LOAD     guix/gnu-maintenance.scm
>   LOAD     guix/upstream.scm
>   LOAD     guix/licenses.scm
>   LOAD     guix/git.scm
>   LOAD     guix/graph.scm
>   LOAD     guix/cache.scm
>   LOAD     guix/cve.scm
>   LOAD     guix/workers.scm
>   LOAD     guix/zlib.scm
>   LOAD     guix/build-system.scm
>   LOAD     guix/build-system/ant.scm
>   LOAD     guix/build-system/cargo.scm
>   LOAD     guix/build-system/cmake.scm
>   LOAD     guix/build-system/dub.scm
>   LOAD     guix/build-system/emacs.scm
>   LOAD     guix/build-system/font.scm
>   LOAD     guix/build-system/go.scm
>   LOAD     guix/build-system/meson.scm
>   LOAD     guix/build-system/minify.scm
>   LOAD     guix/build-system/asdf.scm
>   LOAD     guix/build-system/glib-or-gtk.scm
>   LOAD     guix/build-system/gnu.scm
>   LOAD     guix/build-system/haskell.scm
>   LOAD     guix/build-system/perl.scm
>   LOAD     guix/build-system/python.scm
>   LOAD     guix/build-system/ocaml.scm
>   LOAD     guix/build-system/waf.scm
>   LOAD     guix/build-system/r.scm
>   LOAD     guix/build-system/ruby.scm
>   LOAD     guix/build-system/scons.scm
>   LOAD     guix/build-system/texlive.scm
>   LOAD     guix/build-system/trivial.scm
>   LOAD     guix/ftp-client.scm
>   LOAD     guix/http-client.scm
>   LOAD     guix/gnupg.scm
>   LOAD     guix/elf.scm
>   LOAD     guix/store.scm
>   LOAD     guix/cvs-download.scm
>   LOAD     guix/svn-download.scm
>   LOAD     guix/i18n.scm
>   LOAD     guix/ui.scm
>   LOAD     guix/build/ant-build-system.scm
>   LOAD     guix/build/download.scm
>   LOAD     guix/build/download-nar.scm
>   LOAD     guix/build/cargo-build-system.scm
>   LOAD     guix/build/cmake-build-system.scm
>   LOAD     guix/build/dub-build-system.scm
>   LOAD     guix/build/emacs-build-system.scm
>   LOAD     guix/build/meson-build-system.scm
>   LOAD     guix/build/minify-build-system.scm
>   LOAD     guix/build/font-build-system.scm
>   LOAD     guix/build/go-build-system.scm
>   LOAD     guix/build/asdf-build-system.scm
>   LOAD     guix/build/git.scm
>   LOAD     guix/build/hg.scm
>   LOAD     guix/build/glib-or-gtk-build-system.scm
>   LOAD     guix/build/gnu-build-system.scm
>   LOAD     guix/build/gnu-dist.scm
>   LOAD     guix/build/perl-build-system.scm
>   LOAD     guix/build/python-build-system.scm
>   LOAD     guix/build/ocaml-build-system.scm
>   LOAD     guix/build/r-build-system.scm
>   LOAD     guix/build/ruby-build-system.scm
>   LOAD     guix/build/scons-build-system.scm
>   LOAD     guix/build/texlive-build-system.scm
>   LOAD     guix/build/waf-build-system.scm
>   LOAD     guix/build/haskell-build-system.scm
>   LOAD     guix/build/store-copy.scm
>   LOAD     guix/build/utils.scm
>   LOAD     guix/build/union.scm
>   LOAD     guix/build/profiles.scm
>   LOAD     guix/build/compile.scm
>   LOAD     guix/build/pull.scm
>   LOAD     guix/build/rpath.scm
>   LOAD     guix/build/cvs.scm
>   LOAD     guix/build/svn.scm
>   LOAD     guix/build/syscalls.scm
>   LOAD     guix/build/gremlin.scm
>   LOAD     guix/build/emacs-utils.scm
>   LOAD     guix/build/java-utils.scm
>   LOAD     guix/build/lisp-utils.scm
>   LOAD     guix/build/graft.scm
>   LOAD     guix/build/bournish.scm
>   LOAD     guix/build/qt-utils.scm
>   LOAD     guix/build/make-bootstrap.scm
>   LOAD     guix/search-paths.scm
>   LOAD     guix/packages.scm
>   LOAD     guix/import/print.scm
>   LOAD     guix/import/utils.scm
>   LOAD     guix/import/gnu.scm
>   LOAD     guix/import/snix.scm
>   LOAD     guix/import/cabal.scm
>   LOAD     guix/import/cran.scm
>   LOAD     guix/import/hackage.scm
>   LOAD     guix/import/elpa.scm
>   LOAD     guix/import/texlive.scm
>   LOAD     guix/scripts.scm
>   LOAD     guix/scripts/download.scm
>   LOAD     guix/scripts/perform-download.scm
>   LOAD     guix/scripts/build.scm
>   LOAD     guix/scripts/archive.scm
>   LOAD     guix/scripts/import.scm
>   LOAD     guix/scripts/package.scm
>   LOAD     guix/scripts/gc.scm
>   LOAD     guix/scripts/hash.scm
>   LOAD     guix/scripts/pack.scm
> Backtrace:
> In ice-9/r4rs.scm:
>   90: 19 [dynamic-wind #<procedure 1744360 at ice-9/eval.scm:416:20 ()> .=
..]
>   90: 18 [dynamic-wind #<procedure 17442d0 at ice-9/eval.scm:416:20 ()> .=
..]
> In ice-9/eval.scm:
>  432: 17 [eval # #]
>  432: 16 [eval # #]
>  481: 15 [lp (#<fluid 16>) (#<output: void 11b7a90>)]
> In ice-9/boot-9.scm:
> 2864: 14 [resolve-interface (guix scripts pack) #:select ...]
> 2789: 13 [#<procedure 1381ae0 at ice-9/boot-9.scm:2777:4 (name #:optional=
 autoload version #:key ensure)> # ...]
> 3065: 12 [try-module-autoload (guix scripts pack) #f]
> 2401: 11 [save-module-excursion #<procedure 69daed0 at ice-9/boot-9.scm:3=
066:17 ()>]
> 3085: 10 [#<procedure 69daed0 at ice-9/boot-9.scm:3066:17 ()>]
> In unknown file:
>    ?: 9 [primitive-load-path "guix/scripts/pack" ...]
> In ice-9/eval.scm:
>  453: 8 [eval # ()]
>  387: 7 [eval # ()]
>  387: 6 [eval # ()]
>  387: 5 [eval # ()]
>  387: 4 [eval # ()]
>  387: 3 [eval # ()]
>  387: 2 [eval # ()]
>  393: 1 [eval #<memoized gzip> ()]
> In unknown file:
>    ?: 0 [memoize-variable-access! #<memoized gzip> #<directory # 6d10bd0>]
>=20=20
> ERROR: In procedure memoize-variable-access!:
> ERROR: gzip: unbound variable
> Makefile:5310: recipe for target 'make-go' failed
> make[2]: *** [make-go] Error 1
> make[2]: Leaving directory '/home/itsme/guix-0.14.0'
> Makefile:4441: recipe for target 'all-recursive' failed
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory '/home/itsme/guix-0.14.0'
> Makefile:3031: recipe for target 'all' failed
> make: *** [all] Error 2




Information forwarded to bug-guix@HIDDEN:
bug#29774; Package guix. Full text available.

Message received at 29774 <at> debbugs.gnu.org:


Received: (at 29774) by debbugs.gnu.org; 28 Dec 2017 17:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 28 12:48:09 2017
Received: from localhost ([127.0.0.1]:55407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eUcHp-00041i-G5
	for submit <at> debbugs.gnu.org; Thu, 28 Dec 2017 12:48:09 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:43903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1eUcHn-00041a-PZ
 for 29774 <at> debbugs.gnu.org; Thu, 28 Dec 2017 12:48:08 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 070E5219B7;
 Thu, 28 Dec 2017 12:48:07 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute5.internal (MEProxy); Thu, 28 Dec 2017 12:48:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; bh=f7ucSOgWUooOltptHXfApiJYRwvuch6n9Hmn+xRfroA=; b=Ru5dYPtq
 +rMajGdyyZzKg/0+0WZqkGXZ5KR8bzTrreI9NXLKXj7Ei+0JvjjaD4yOXFn02y1v
 kubUI6RNqpC/0WRD/Pz27a8tCUruZ6iwR98IhoUKKZV2AcizfYRNQczCQmtwqCkN
 zw71WQOqnEZE/naHGlRcL3lumGznaUtbgsK/VOoQ4Gc6YaldpxiipqGLJKhFdJ6k
 5HofsvfQ+xWVo/6KzGg0sdAIVXTGRAIAlKzXqlf2pGpmOKOQD0zONU7JD5ibGwFY
 iOMUN67pkwrzvs8nwoXjYR8Fe9xX4NljWgh6o7kwdzpWuaqYww/pF5gWE9qY1f9e
 QiKc0C7kH0EYlA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=f7ucSOgWUooOltptHXfApiJYRwvuc
 h6n9Hmn+xRfroA=; b=HG8RX0OXgin+UKJdlkwd15SSPI/mBy1IfyyhfYaaNLUj5
 niVHCwH1Vkn8qJAXt478vVPA8F1DVj8B+N8aXVbPZQHxUYkt2JYcIeN/VahdQwDJ
 yrr2U7KsXSxC5JeWbbS86hQu8QlCca5AclD0Xw55uXmfp7/pf2ssFC2hO4PiRqHD
 xGsHIhhEavBVwKvVrRRP7Q43ZdIr3U4tIBjCYH/ZhXE5gcyL4iq8cXFUv7i1S24C
 n8GUnZ5IksZ1f+N3g4qz8FuZ835LoFpYDNb414U7h/uU1dMfPsyo9B4Ir7er9I5W
 RCZ2RJJwyozLSu5VUW+3phG0x4sL7rul2TyF6c4/Q==
X-ME-Sender: <xms:Vi5FWgS-j833wRdOTp3tr5AgLhnQAcFZV840BuhR3cqccM805V9XBA>
Received: from localhost (cm-84.214.173.174.getinternet.no [84.214.173.174])
 by mail.messagingengine.com (Postfix) with ESMTPA id 73D8F7E13B;
 Thu, 28 Dec 2017 12:48:06 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: pkill9@HIDDEN, 29774 <at> debbugs.gnu.org
Subject: Re: bug#29774: Compilation error on git master: `gzip: unbound
 variable`
In-Reply-To: <E1eRODH-0006TY-Pl@HIDDEN>
References: <E1eRODH-0006TY-Pl@HIDDEN>
User-Agent: Notmuch/0.25.3 (https://notmuchmail.org) Emacs/25.3.1
 (x86_64-pc-linux-gnu)
Date: Thu, 28 Dec 2017 18:48:04 +0100
Message-ID: <878tdmd9rf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

pkill9@HIDDEN writes:

> Architecture: x86_64
>
> RAM: 4GB
>
> Filesystem: EXT4
>
> Guile version: 2.0.11
>
> Guile-Git (Guile module) was manually compiled and installed by me from
> https://gitlab.com/guile-git/guile-git
>
> Operating system: Slackware 14.2
>
> `uname -a` output: Linux slack 4.4.88 #2 SMP Thu Sep 14 14:21:06 CDT 2017
> x86_64 Intel(R) Core(TM) i3 CPU M 330 @ 2.13GHz GenuineIntel GNU/Linux
>
>
> Compilation failure when running `make` (after running `./bootstrap` and
> `./configure`) in latest git master and in latest source release tarball:
> 'In procedure memoize-variable-access!: gzip: unbound variable'
>
> Full output (error is at line 172): http://paste.debian.net/1001510

This paste has expired.  Can you attach the log here instead?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlpFLlQACgkQoqBt8qM6
VPrOZwgAn5DL9b7PfwnLYuszWs3g5Uf+r9t5X4Gy7pRpC8WUktt+gc8h+HuglRF/
z7hR0hMbsQqL/9fpdN3lIQvPbJwJKoeGr0XDbQW/s/NizegmgnNiC90hPjMrTHLg
VvYwgWp46CChunOKFMleDia8j4ybVQJWWdo60FL1RPsxR15oVMfJ+RTOC3o+4pEC
H0+FLcO4tXHaWVDkXp+ityBS2Pe+lbqjy5el56i64LdqDh0w1kPzkyL4q5El62F4
rDv6GGQX1n2521j9fJx1c1RkKjJrQ4dRyCMyMM/LLSKRkg/1TTI4sjpLqgwxuQPm
USjHB346P/cC/4oHmteTpkUalQ1Odg==
=bwKV
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#29774; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2017 20:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 15:39:52 2017
Received: from localhost ([127.0.0.1]:42708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eROg3-0006YT-Tj
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 15:39:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1eRODa-0005sO-Ib
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 15:10:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1eRODT-0000Md-Js
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 15:10:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.6 required=5.0 tests=BAYES_00,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID,
 UNPARSEABLE_RELAY autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35687)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1eRODT-0000M1-FZ
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 15:10:19 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38773)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1eRODR-0007Sc-GC
 for bug-guix@HIDDEN; Tue, 19 Dec 2017 15:10:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1eRODN-0000D6-ML
 for bug-guix@HIDDEN; Tue, 19 Dec 2017 15:10:17 -0500
Received: from aibo.runbox.com ([91.220.196.211]:48734)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1eRODN-0000Az-6e
 for bug-guix@HIDDEN; Tue, 19 Dec 2017 15:10:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:To:From:MIME-Version; 
 bh=MqoEGdv1LWJSMaZj+VKfdBaKJ4eeT3cyRZMC2x1vXnY=; b=hhhaTimEFUm6nc4x5e/E7po5d
 32S/n9r7MeO4MEKoBSG6wWIlRQSASFN38GcYr6DwtvW4pavEajbzvw6w7R6NtA2IjAnpttGtVwNfC
 CeE+jD1XJpGyjYsklG4v3zMvVEW7aQQKYqOlyC1hbHz3qteMWVmWcSNz+AEaZ8wkUYKViNyCqR/yO
 oqHPADfQzvINdbKtPEPzQlVbaPJLPIA6xzg+brJreitugVlJqi4A5vm3b8aa1hOCJr8HEQ5w+D0cV
 uCGgNVm/OqM9i4Qmc+FV6hNyBcvhvpBNq7xOQ6btDhuEwRcwRPD6qRCz96hX3tr86NdMpGCNvQBmz
 spwYwHX7Q==;
Received: from [10.9.9.129] (helo=rmmprod07.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1eRODH-0006Zx-RH
 for bug-guix@HIDDEN; Tue, 19 Dec 2017 21:10:07 +0100
Received: from mail by rmmprod07.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1eRODH-0006TY-Pl
 for bug-guix@HIDDEN; Tue, 19 Dec 2017 21:10:07 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); for <bug-guix@HIDDEN>; Tue, 19 Dec 2017 20:10:07 GMT
From: <pkill9@HIDDEN>
To: "bug-guix" <bug-guix@HIDDEN>
Subject: Compilation error on git master: `gzip: unbound variable`
Date: Tue, 19 Dec 2017 20:10:07 +0000 (GMT)
X-Mailer: RMM6
Content-Type: multipart/alternative; boundary="----------=_1513714207-5322-22"
Message-Id: <E1eRODH-0006TY-Pl@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 19 Dec 2017 15:39:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

This is a multi-part message in MIME format...

------------=_1513714207-5322-22
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Architecture: x86_64

RAM: 4GB

Filesystem: EXT4

Guile version: 2.0.11

Guile-Git (Guile module) was manually compiled and installed by me from
https://gitlab.com/guile-git/guile-git

Operating system: Slackware 14.2

`uname -a` output: Linux slack 4.4.88 #2 SMP Thu Sep 14 14:21:06 CDT 2017
x86_64 Intel(R) Core(TM) i3 CPU M 330 @ 2.13GHz GenuineIntel GNU/Linux


Compilation failure when running `make` (after running `./bootstrap` and
`./configure`) in latest git master and in latest source release tarball:
'In procedure memoize-variable-access!: gzip: unbound variable'

Full output (error is at line 172): http://paste.debian.net/1001510

My IRC username on freenode is pkill9, I am often in the #guix room on
freenode.

IRC chatlog for reference:

  2017-12-19 16:39:05 pkill9 I'm getting an error while compiling Guix,
  It
  says 'In procedure memoize-variable-access!: gzip: unbound variable'.
  Full output here: https://pastebin.com/wiNSZvXT
  2017-12-19 16:39:15 pkill9 anyone know what this means?
  2017-12-19 16:40:15 civodul pkill9: this was reported a couple of
  times
  before and i think it's been fixed (?)
  2017-12-19 16:40:26 pkill9 oh interesting
  2017-12-19 16:40:38 civodul can you paste to another site BTW, like
  paste.debian.net, which allows Tor users to access it
  2017-12-19 16:40:42 pkill9 ok
  2017-12-19 16:42:37 pkill9 http://paste.debian.net/1001510/
  2017-12-19 16:43:09 pkill9 I downloaded the source from the Guix
  downlaod
  page
  2017-12-19 16:46:24 pkill9 civodul: has the fix been added to the
  source
  downloadable from the download page?
  2017-12-19 16:46:51 pkill9 as in on this page
  https://www.gnu.org/software/guix/download/
  2017-12-19 16:47:03 pkill9 under 'GNU Guix 0.14.0 Source'
  2017-12-19 16:47:09 pkill9 in the tarball
  2017-12-19 16:47:28 pkill9 or is it very new and not yet been added
  to
  that?
  2017-12-19 16:51:18 bavier pkill9: iirc it was a more recent fix
  2017-12-19 17:02:20 civodul yes, it's in master i think
  2017-12-19 17:02:47 civodul though i still can't remember what that
  was,
  which is kinda annoying
  2017-12-19 18:57:21 lfam pkill9: From commit
  9a56cf2b5b4970843c215091ea9823a67e077310, the error is not
  reproduced.
  2017-12-19 19:08:54 pkill9 hmm i tried compiling with that commit
  (downloaded the tar.gz from
  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D9a56cf2b5b4970843=
c215091ea9823a67e077310)
  and i still get that error
  2017-12-19 19:14:24 lfam pkill9: What is `guix --version`?
  2017-12-19 19:14:51 pkill9 i don't have it installed, that's why i'm
  compiling it
  2017-12-19 19:15:19 lfam How are you providing the dependencies?
  2017-12-19 19:15:39 pkill9 oh, slackware
  2017-12-19 19:16:03 lfam Okay, and what is the CPU architecture, how
  much
  RAM is there, what filesystem are you compiling on, any other details
  that might be relevant?
  2017-12-19 19:16:11 lfam Also the kernel version
  2017-12-19 19:17:18 pkill9 x86_64, about 4GB ram, EXT4 filesystem,
  kernel
  4.4.88
  2017-12-19 19:18:28 lfam pkill9: Okay, that all sounds good. What
  version
  of Guile are you using?
  2017-12-19 19:18:42 pkill9 2.0.11
  2017-12-19 19:20:05 lfam Okay, sounds like this should all work. If
  you
  don't get any other answer here, please compile all this information
  into
  a bug report and send it to <bug-guix@HIDDEN>, first searching for
  previous reports of
  this issue

------------=_1513714207-5322-22
Content-Type: text/html; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

<p><em><span style=3D"font-size: 1em;">Architecture: x86_64</span></em></p>
<p><em>RAM: 4GB</em></p>
<p><em>Filesystem: EXT4</em></p>
<p><em style=3D"font-size: 1em;">Guile version: 2.0.11</em></p>
<p><em>Guile-Git (Guile module) was manually compiled and installed by me f=
rom&nbsp;https://gitlab.com/guile-git/guile-git</em></p>
<p><em>Operating system: Slackware 14.2</em></p>
<p><em>`uname -a` output:&nbsp;</em>Linux slack 4.4.88 #2 SMP Thu Sep 14 14=
:21:06 CDT 2017 x86_64 Intel(R) Core(TM) i3 CPU M 330 @ 2.13GHz GenuineInte=
l GNU/Linux</p>
<p><em><br /></em></p>
<p>Compilation failure when running `make` (after running `./bootstrap` and=
 `./configure`) in latest git master and in latest source release tarball:&=
nbsp;'In procedure memoize-variable-access!: gzip: unbound variable'</p>
<p>Full output (error is at line 172):&nbsp;http://paste.debian.net/1001510=
</p>
<p>My IRC username on freenode is pkill9, I am often in the #guix room on f=
reenode.</p>
<p>&nbsp;</p>
<p>IRC chatlog for reference:</p>
<blockquote>
<p>2017-12-19 16:39:05 pkill9 I'm getting an error while compiling Guix, It=
 <br />says 'In procedure memoize-variable-access!: gzip: unbound variable'=
. <br />Full output here: https://pastebin.com/wiNSZvXT <br />2017-12-19 16=
:39:15 pkill9 anyone know what this means? <br />2017-12-19 16:40:15 civodu=
l pkill9: this was reported a couple of times <br />before and i think it's=
 been fixed (?) <br />2017-12-19 16:40:26 pkill9 oh interesting <br />2017-=
12-19 16:40:38 civodul can you paste to another site BTW, like <br />paste.=
debian.net, which allows Tor users to access it <br />2017-12-19 16:40:42 p=
kill9 ok <br />2017-12-19 16:42:37 pkill9 http://paste.debian.net/1001510/ =
<br />2017-12-19 16:43:09 pkill9 I downloaded the source from the Guix down=
laod <br />page <br />2017-12-19 16:46:24 pkill9 civodul: has the fix been =
added to the source <br />downloadable from the download page? <br />2017-1=
2-19 16:46:51 pkill9 as in on this page <br />https://www.gnu.org/software/=
guix/download/ <br />2017-12-19 16:47:03 pkill9 under 'GNU Guix 0.14.0 Sour=
ce' <br />2017-12-19 16:47:09 pkill9 in the tarball <br />2017-12-19 16:47:=
28 pkill9 or is it very new and not yet been added to <br />that? <br />201=
7-12-19 16:51:18 bavier pkill9: iirc it was a more recent fix <br />2017-12=
-19 17:02:20 civodul yes, it's in master i think <br />2017-12-19 17:02:47 =
civodul though i still can't remember what that was, <br />which is kinda a=
nnoying <br />2017-12-19 18:57:21 lfam pkill9: From commit <br />9a56cf2b5b=
4970843c215091ea9823a67e077310, the error is not reproduced. <br />2017-12-=
19 19:08:54 pkill9 hmm i tried compiling with that commit <br />(downloaded=
 the tar.gz from <br />https://git.savannah.gnu.org/cgit/guix.git/commit/?i=
d=3D9a56cf2b5b4970843c215091ea9823a67e077310) <br />and i still get that er=
ror <br />2017-12-19 19:14:24 lfam pkill9: What is `guix --version`? <br />=
2017-12-19 19:14:51 pkill9 i don't have it installed, that's why i'm <br />=
compiling it <br />2017-12-19 19:15:19 lfam How are you providing the depen=
dencies? <br />2017-12-19 19:15:39 pkill9 oh, slackware <br />2017-12-19 19=
:16:03 lfam Okay, and what is the CPU architecture, how much <br />RAM is t=
here, what filesystem are you compiling on, any other details <br />that mi=
ght be relevant? <br />2017-12-19 19:16:11 lfam Also the kernel version<br =
/>2017-12-19 19:17:18 pkill9 x86_64, about 4GB ram, EXT4 filesystem, kernel=
 <br />4.4.88 <br />2017-12-19 19:18:28 lfam pkill9: Okay, that all sounds =
good. What version <br />of Guile are you using? <br />2017-12-19 19:18:42 =
pkill9 2.0.11 <br />2017-12-19 19:20:05 lfam Okay, sounds like this should =
all work. If you <br />don't get any other answer here, please compile all =
this information into <br />a bug report and send it to &lt;bug-guix@HIDDEN=
g&gt;, first searching for previous reports of <br />this issue </p>
</blockquote>=

------------=_1513714207-5322-22--




Acknowledgement sent to <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#29774; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 18 Sep 2018 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.